## mx-snapshot 23.10.01

=== debian/changelog ===
mx-snapshot (23.10.01) mx; urgency=medium

  * Exclude ~/.config/MX-Linux/xdg_check to make sure default Desktop files (installer link) are recreated

 -- Adrian <adrian@mxlinux.org>  Tue, 10 Oct 2023 12:49:43 -0400
