## mx-snapshot 23.11

=== debian/changelog ===
mx-snapshot (23.11) mx; urgency=medium

  * Run program as normal user and elevate only when needed
  * Prioritize user settings over system settings. Settings available in ~/.conf/MX-Linux/ directory
  * Added -processors and -throttle options in the GUI and CLI arguments, see --help for CLI args
        -- if you used to pass any of these options directly in .conf file might neet to remove those

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Nov 2023 19:42:42 -0500
