## mx-snapshot 23.11.02

=== debian/changelog ===
mx-snapshot (23.11.02) mx; urgency=medium

  * Unified builds for MX21 and MX23

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Nov 2023 16:59:48 -0500

mx-snapshot (23.11.01) mx; urgency=medium

  * Fix: use /home/user instead of /home for temp directory (this solves a permission issue)

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Nov 2023 16:14:41 -0500
