## mx-snapshot 24.01.01

=== debian/changelog ===
mx-snapshot (24.01.01) mx; urgency=medium

  * Add device mapper modules to avoid Ventoy crashes

 -- fehlix <fehlix@mxlinux.org>  Sun, 28 Jan 2024 09:01:56 -0500
