## mx-snapshot 24.02.03

=== debian/changelog ===
mx-snapshot (24.02.03) mx; urgency=medium

  * Fix: write actual snapshot date/time creation to /etc/snapshot_created
  * Fix: edit exclusion button opens the correct file

 -- Adrian <adrian@mxlinux.org>  Mon, 12 Feb 2024 11:58:40 -0500
