## mx-snapshot 24.02.04

=== debian/changelog ===
mx-snapshot (24.02.04) mx; urgency=medium

  * Faster exclusion checkbox selection
  * Fix: doesn't exclude files twice when selecting Exclude All
  * Slightly better calculation for the size of excluded files

 -- Adrian <adrian@mxlinux.org>  Wed, 14 Feb 2024 02:04:49 -0500
