## mx-snapshot 24.3.01

=== debian/changelog ===
mx-snapshot (24.3.01) mx; urgency=medium

  * Fix: for system that use different umask, set umask to 022 before running mksquashfs command

 -- Adrian <adrian@mxlinux.org>  Sun, 17 Mar 2024 14:10:36 -0400
