## mx-snapshot 24.4

=== debian/changelog ===
mx-snapshot (24.4) mx; urgency=medium

  * Add system language, keyboard, timezon to boot parameter field
  * Adjust exclusion list: live and ~/.cache/xfce4/clipman
  * Change error message to direct user to log

 -- Adrian <adrian@mxlinux.org>  Thu, 11 Apr 2024 16:49:08 -0400
