## mx-snapshot 24.6

=== debian/changelog ===
mx-snapshot (24.6) mx; urgency=medium

  * Check whether linuxfs was copied to the ram during the live boot

 -- fehlix <fehlix@mxlinux.org>  Wed, 05 Jun 2024 14:45:24 -0400
