## mx-snapshot 24.7.03

=== debian/changelog ===
mx-snapshot (24.7.03) mx; urgency=medium

  * Remove the nvidia boot option that may have been added with a
    previous snapshot

 -- fehlix <fehlix@mxlinux.org>  Wed, 24 Jul 2024 13:35:06 -0400
