## mx-snapshot 24.8

=== debian/changelog ===
mx-snapshot (24.8) mx; urgency=medium

  * Add support for ext2 and zfs for temporary work directory
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Mon, 05 Aug 2024 12:02:33 -0400
