## mx-snapshot 24.9.03

=== debian/changelog ===
mx-snapshot (24.9.03) mx; urgency=medium

  * Fix string quoting for excludeFlatpak

 -- Adrian <adrian@mxlinux.org>  Mon, 02 Sep 2024 18:49:57 -0400
