## mx-snapshot 24.12

=== debian/changelog ===
mx-snapshot (24.12) mx; urgency=medium

  * Add /var/log/journal/* to exclusion list
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 22 Dec 2024 01:46:35 -0500
