## mx-snapshot 24.12.01

=== debian/changelog ===
mx-snapshot (24.12.01) mx; urgency=medium

  * revert changes to copy-initrd helper programs

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Mon, 30 Dec 2024 19:01:15 -0500
