## mx-snapshot 25.2

=== debian/changelog ===
mx-snapshot (25.2) mx; urgency=medium

  * Fix: allow some special characters in file names

 -- Adrian <adrian@mxlinux.org>  Sun, 02 Feb 2025 18:49:33 -0500
