## mx-snapshot 25.4

=== debian/changelog ===
mx-snapshot (25.4) mx; urgency=medium

  * Adjust kmod and luks2 handling within copy-initrd-programs needed for trixie
  * Add cryptsetup into initrd
  * Make copy-initrd-programs shellcheck safe
  * Add Debian release code names Trixie, Forky, and Duke to enum in settings

 -- fehlix <fehlix@mxlinux.org>  Sun, 13 Apr 2025 17:31:38 -0400
