=== debian/control ===
Source: mx-snapshot
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Homepage: https://mxlinux.org
Build-Depends: debhelper (>=10), qtbase5-dev, qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-snapshot

Package: mx-snapshot
Architecture: any
Depends: mx-iso-template | iso-template (>= 16.1mx15),
         mx-remaster,
         squashfs-tools,
         syslinux-utils,
         xdg-user-dirs,
         xorriso (>= 1.4.6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: MX Snapshot
 MX Snapshot is a tool used for creating a live-CD from the running system.

Package: iso-snapshot-cli
Architecture: any
Depends: mx-iso-template | iso-template (>= 16.1mx15),
         mx-remaster,
         squashfs-tools,
         syslinux-utils,
         xdg-user-dirs,
         xorriso (>= 1.4.6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: ISO Snapshoti CLI
 ISO Snapshot CLI is a tool used for creating a live-CD from the running system.
 This tool is the CLI-exclusive version of MX Snapshot, if you need a GUI, use MX Snapshot
