## mx-snapshot 25.6.01

=== debian/changelog ===
mx-snapshot (25.6.01) mx; urgency=medium

  * Fix: create directory before trying to link the file

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Jun 2025 23:36:31 -0400

mx-snapshot (25.6) mx; urgency=medium

  * Prepare to move stuff out of /usr/local/; Read script from alternative location

 -- Adrian <adrian@mxlinux.org>  Fri, 06 Jun 2025 20:40:07 -0400

mx-snapshot (25.4.01) mx; urgency=medium

  * Update to Qt6

 -- Adrian <adrian@mxlinux.org>  Thu, 24 Apr 2025 19:05:07 -0400
