=== debian/control ===
Source: mx-snapshot
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/MX-Linux/mx-snapshot
Homepage: https://github.com/MX-Linux/mx-snapshot

Package: mx-snapshot
Architecture: any
Depends: mx-iso-template | iso-template (>= 16.1mx15),
         mx-remaster,
         mx-viewer | xdg-utils,
         squashfs-tools,
         syslinux-utils,
         xdg-user-dirs,
         xorriso (>= 1.4.6),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: mx-launcher-l10n
Description: System snapshot tool for MX Linux
 MX Snapshot is a graphical utility that allows users to create a live-CD/USB
 image from their running MX Linux system. It provides a user-friendly interface
 for:
  * Creating bootable system backups
  * Preserving user data and settings
  * Generating distributable ISO images

Package: iso-snapshot-cli
Architecture: any
Depends: mx-iso-template | iso-template (>= 16.1mx15),
         mx-remaster,
         squashfs-tools,
         syslinux-utils,
         xdg-user-dirs,
         xorriso (>= 1.4.6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Command-line system snapshot tool for MX Linux
 ISO Snapshot CLI is a command-line utility that allows users to create a
 live-CD/USB image from their running MX Linux system. It provides the same
 core functionality as MX Snapshot without requiring a graphical interface.
 For users who prefer a graphical interface, please use the mx-snapshot package.
