## mx-snapshot 25.09

=== debian/changelog ===
mx-snapshot (25.09) mx; urgency=medium

  * Fix log ownership
  * Run in CLI automatically if windowing system is not detected
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 09 Sep 2025 19:26:48 -0400
