## mx-snapshot 25.10

=== debian/changelog ===
mx-snapshot (25.10) mx; urgency=medium

  * Trim quotes when reading options
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Wed, 01 Oct 2025 12:59:15 -0400
