=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
          syslinux-utils,
          xdg-user-dirs,
          xorriso (>= 1.4.6),
+         sudo | pkexec | gksu,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: mx-launcher-l10n
@@ -35,6 +36,7 @@
          syslinux-utils,
          xdg-user-dirs,
          xorriso (>= 1.4.6),
+         sudo | pkexec | gksu,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Command-line system snapshot tool for MX Linux
