## mx-snapshot 25.12.2

=== debian/changelog ===
mx-snapshot (25.12.2) mx; urgency=medium

  * Add pop up to show that the maintainer excludes is newer than the
    custom one. Add option for user to show diff, accept changes or
    keep the custom list

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Dec 2025 10:14:38 -0500

mx-snapshot (25.12) mx; urgency=medium

  * Copy the exclusion list to the ~/.config/MX-Linux/ to allow users to
    set their own list that will not be overwritten on updates
  * Improve launching of editor for the exclude list
  * Add custom exclude reset button

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Dec 2025 00:16:10 -0500
