## mx-snapshot 25.12.5

=== debian/changelog ===
mx-snapshot (25.12.5) mx; urgency=medium

  * Improve cleanup safety and overlay handling
  * Close app ifthe user doesn't elevate when requested
  * Show debug sizes using 2-decimal MiB format

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Dec 2025 18:22:32 -0500
