## mx-snapshot 25.12.8

=== debian/changelog ===
mx-snapshot (25.12.8) mx; urgency=medium

  * Fix GUI/CLI space checks: check available space only after selecting
    the snapshot directory in GUI

 -- Adrian <adrian@mxlinux.org>  Sun, 28 Dec 2025 12:45:31 -0500
