## mx-snapshot 25.12.9

=== debian/changelog ===
mx-snapshot (25.12.9) mx; urgency=medium

  * Improve calculation of space on root and /home

 -- Adrian <adrian@mxlinux.org>  Wed, 31 Dec 2025 01:02:25 -0500
