## mx-snapshot 26.01

=== debian/changelog ===
mx-snapshot (26.01) mx; urgency=medium

  * CLI/GUI: backup exclusion file on reset
  * Work with more than one location for installed-to-live

 -- Adrian <adrian@mxlinux.org>  Mon, 05 Jan 2026 09:36:43 -0500
