## mx-snapshot 26.01.3

=== debian/changelog ===
mx-snapshot (26.01.3) mx; urgency=medium

  * Fix exclude size calc on sparse files

 -- Adrian <adrian@mxlinux.org>  Tue, 13 Jan 2026 19:01:56 -0500

mx-snapshot (26.01.2) mx; urgency=medium

  * GUI: keep boot options after NVIDIA prompt
  * Save log for iso-snapshot-cli too

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Jan 2026 21:59:03 -0500
