=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: mx-snapshot
 Architecture: any
 Depends: mx-iso-template | iso-template (>= 16.1mx15),
-         mx-remaster,
+         mx-remaster (>= 25.12.01),
          mx-viewer | xdg-utils,
          squashfs-tools,
          syslinux-utils,
